## savane-1.2.tar.gz

=== etc/site-specific-content/register/requirements.txt ===
<!-- Savannah - Project registration STEP 1 -->
<!-- $Id: requirements.txt,v 1.4 2005/09/16 08:57:05 yeupou Exp $  BEGIN -->

<h3>Use of Project Account</h3>
<p> 
The space given to you on this server is given for the expressed
purpose of advancing Software (software development,
documentation, organizing events, system administration of machines
etc.).  
</p>

<h3>Advertisements</h3>
<p>
You may not place any revenue-generating advertisements on a site hosted 
here. But you can point people to commercial support
offerings for your Software project.
</p>

<h3>Rights to Code</h3>
<p>
You will be presented with a choice of Software licenses for
your project. If you wish to use another license that is not listed, let us know
and we will review these requests on a case-by-case basis. 
</p>

<p>
It is our intent to provide a permanent home for all versions of your project.
We do reserve the right, however, to terminate your project if there is due
cause.
</p>
<!-- $Id: requirements.txt,v 1.4 2005/09/16 08:57:05 yeupou Exp $  END -->

=== debian/changelog ===
savane (1.2) unstable; urgency=low

  * New upstream release.

 -- Mathieu Roy <moa@ulysse.attique.org>  Mon, 19 Sep 2005 11:42:41 +0200

savane (1.1) unstable; urgency=low

  * New upstream release.

 -- Savane developers <savane-dev@gna.org>  Tue, 13 Sep 2005 15:50:40 +0200

savane (1.0.8-1+2) unstable; urgency=low

  * Fix a bug causing attachment to be broken during utf8 conversion
  (next time, we'll drop the -1 from the first package, as we these 
  are more or less native packages for us).
  
 -- Mathieu Roy (on behalf of Savane developers) <savane-dev@gna.org>  Sat, 10 Sep 2005 13:32:02 +0200

savane (1.0.8-1+1) unstable; urgency=low

  * Repackaging (next time, we'll drop the -1 from the first package, as
  we these are more or less native packages for us).

 -- Mathieu Roy (on behalf of Savane developers) <savane-dev@gna.org>  Wed,  7 Sep 2005 16:23:13 +0200

savane (1.0.8-1) unstable; urgency=low

  * New upstream release.

 --  Savane developers <savane-dev@gna.org>  Fri,  2 Sep 2005 23:27:59 +0200

savane (1.0.7-2) unstable; urgency=low

  * Typo fix in savane-lib.

 --  Savane developers <savane-dev@gna.org>  Fri,  1 Jul 2005 09:31:49 +0200

savane (1.0.7-1) unstable; urgency=low

  * First release of savane debian packages. See the generic changelog for
  non-debian specific issues.

 --  Savane developers <savane-dev@gna.org>  Thu, 30 Jun 2005 16:31:57 +0200

=== debian/control ===
Source: savane
Section: web
Priority: optional
Maintainer: Savane Team <savane-dev@gna.org>
Build-Depends-Indep: gettext, debhelper (>=3.0.18)
Standards-Version: 3.5.9.0

Package: savane
Architecture: all
Depends: savane-lib, savane-config, savane-backend, savane-database, savane-frontend-php, savane-doc
Recommends: savane-update
Description: Meta package that fetch every packages for a standard install. 
 .
 Savane is a Web-based Libre Software hosting system. 
 .
 It currently includes issue tracking (bugs, task, support), project and
 member management, mailing lists, and individual account maintenance.
 It is internationalised and themable.
 .
 Homepage: http://gna.org/projects/savane

Package: savane-database
Architecture: all
Depends: mysql-server, savane-doc
Recommends: savane-update
Description: Necessary files to create a Savane database.
 This package does not need the Savane lib/backend.
 .
 Homepage: http://gna.org/projects/savane

Package: savane-doc
Architecture: all
Description: Savane documentation, related to setup. 
 .
 Homepage: http://gna.org/projects/savane

Package: savane-backend
Architecture: all
Depends: savane-lib, savane-config, savane-backend-members-shell, savane-backend-misc, savane-backend-mail
Description: The complete savane backend.
 .
 You may want to install only some parts of the backend, in this case use
 the packages savane-backend-[part wanted].
 .
 Homepage: http://gna.org/projects/savane

Package: savane-backend-config
Provides: savane-config
Architecture: all
Depends: savane-doc, perl-base (>=5.6.0), perl-modules 
Recommends: savane-update
Description: Savane configurator. This could be handy on any system that
 runs Savane parts (frontend or backend).
 .
 Homepage: http://gna.org/projects/savane

Package: savane-backend-members-shell
Architecture: all
Depends: savane-lib (>= 1.1), savane-config, savane-doc
Recommends: gnupg
Description: Part of Savane backend that help providing shell access to users.
 .
 This package provides programs necessary to create unix accounts (groups and 
 users) according to a Savane database to give them restricted shell access.
 .
 Homepage: http://gna.org/projects/savane

Package: savane-backend-misc
Architecture: all
Depends: savane-lib (>= 1.1), savane-config
Description: Important part of Savane backend that contains misc scripts .
 .
 This package provides programs necessary to clean the database or to send
 reminders to users. This part of the backend is important and must be 
 up and running.
 .
 Homepage: http://gna.org/projects/savane

Package: savane-backend-mail
Architecture: all
Depends: savane-lib (>= 1.1), savane-config, savane-doc
Description: Part of Savane backend related to mails.
 .
 This package should be installed on the host dealing with Savane-related
 mails. It include the script that build the list of mail aliases according
 to the database.
 .
 Homepage: http://gna.org/projects/savane

Package: savane-backend-extra-cvs
Architecture: all
Depends: savane-lib (>= 1.1), savane-config
Provides: savane-backend-cvs
Conflicts: savane-backend-cvs
Description: Part of Savane backend that contains cvs related scripts.
 .
 This package provides handy programs that could be useful to generate
 cvs repositories dumps and snapshot etc.
 .
 Homepage: http://gna.org/projects/savane

Package: savane-backend-download
Architecture: all
Depends: savane-lib (>= 1.1), libfile-find-rule-perl, savane-config, gnupg
Description: Part of Savane backend that contains download related scripts.
 .
 This package provides handy programs that could be useful to check GPG 
 signatures of uploaded files
 .
 Homepage: http://gna.org/projects/savane

Package: savane-lib
Architecture: all
Depends: perl-base (>=5.6.0), perl-modules, liblocale-gettext-perl, libdbi-perl (>= 1.21), libmailtools-perl
Description: Savane library.
 .
 This library is used by the backend and the Perl frontend. 
 .
 Homepage: http://gna.org/projects/savane

Package: savane-update
Architecture: all
Depends: savane-lib (>= 1.1)
Description: Package containing script necessary for the upgrade of Savane.
 .
 From one major version to another, there are heavy changes that you should
 handle carefully by yourself. This package contains the necessary scripts.
 .
 It will put in /usr/share/docs/saane-update a directory per release. Each
 directory contains the script that must be ran to upgrade a Savane
 installation from the previous version to the new one.
 . 
 These scripts are usually perl scripts (relying on savane-lib) or SQL scripts.
 .
 Read the READMEs.
 .
 Homepage: http://gna.org/projects/savane

Package: savane-frontend-php
Architecture: all
Depends: php4 | libapache-mod-php4, php4-mysql, httpd, savane-config, savane-doc
Description: Savane PHP frontend.
 .
 It's the main frontend of Savane, the interface most users will use.
 .
 Homepage: http://gna.org/projects/savane

# Not ready for public release yet
#Package: savane-frontend-perl
#Architecture: all
#Depends: savane-lib, httpd, savane-config
#Description: Savane Perl frontend (secondary frontend).
# .
# It's a secondary frontend of Savane that currently only provide ways
# to control access to mailing-list private archives.
# .
# Homepage: http://gna.org/projects/savane

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# We do not want user input here, so we create a configure.cache
	# with crappy content, it does not matter
	echo "# bla" > configure.cache
	./configure

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/pdbv.sgml > pdbv.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean config.sub config.guess


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here comands to install the package into debian/savane.
	$(MAKE) deb-savane-frontend-php debwww=$(CURDIR)/debian/savane-frontend-php/var/www debprefix=$(CURDIR)/debian/savane-frontend-php/usr debetc=$(CURDIR)/debian/savane-frontend-php/etc
	$(MAKE) deb-savane-lib debprefix=$(CURDIR)/debian/savane-lib/usr debetc=$(CURDIR)/debian/savane-lib/etc
	$(MAKE) deb-savane-backend-mail debprefix=$(CURDIR)/debian/savane-backend-mail/usr debetc=$(CURDIR)/debian/savane-backend-mail/etc
	$(MAKE) deb-savane-backend-extra-cvs debprefix=$(CURDIR)/debian/savane-backend-extra-cvs/usr debetc=$(CURDIR)/debian/savane-backend-extra-cvs/etc
	$(MAKE) deb-savane-backend-download debprefix=$(CURDIR)/debian/savane-backend-download/usr debetc=$(CURDIR)/debian/savane-backend-download/etc
	$(MAKE) deb-savane-backend-misc debprefix=$(CURDIR)/debian/savane-backend-misc/usr debetc=$(CURDIR)/debian/savane-backend-misc/etc
	$(MAKE) deb-savane-backend-members-shell debprefix=$(CURDIR)/debian/savane-backend-members-shell/usr debetc=$(CURDIR)/debian/savane-backend-members-shell/etc
	$(MAKE) deb-savane-database debprefix=$(CURDIR)/debian/savane-database/usr debetc=$(CURDIR)/debian/savane-database/etc
	$(MAKE) deb-savane-backend-config debprefix=$(CURDIR)/debian/savane-backend-config/usr debetc=$(CURDIR)/debian/savane-backend-config/etc
	$(MAKE) deb-savane-doc debprefix=$(CURDIR)/debian/savane-doc/usr debetc=$(CURDIR)/debian/savane-doc/etc
	$(MAKE) deb-savane-update debprefix=$(CURDIR)/debian/savane-update/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf 
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link 
	dh_strip
	dh_compress
	dh_fixperms 
	dh_installdeb 
	dh_shlibdeps
	dh_perl 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
